/*!
  \file
  \brief SDL_INIT_CDROM の初期化

  \author Satofumi KAMIMURA

  $Id: SdlCdromInit.cpp 1816 2010-05-08 06:11:41Z satofumi $
*/

#include "SdlInit.h"
#include "SdlCdromInit.h"
#include <SDL.h>

using namespace qrk;


struct SdlCdromInit::pImpl : private SdlInit
{
    static bool initialized_;
};
bool SdlCdromInit::pImpl::initialized_ = false;


SdlCdromInit::SdlCdromInit(void) : pimpl(new pImpl)
{
    if (pimpl->initialized_) {
        return;
    }
    pimpl->initialized_ =
        (SDL_InitSubSystem(SDL_INIT_CDROM) < 0) ? false : true;
}


SdlCdromInit::~SdlCdromInit(void)
{
}
